PDA

View Full Version : You are not licensed to use the "" command. ???


Buexe
06-30-2005, 09:23 AM
Hi, I have a sweet little API custom command that is fairly easy. It calculates some matrices and spits out a double Array. Now when I unload and reload the plug-in, I get:

Error: You are not licensed to use the "" command.

Now, can anybody explain this to me? The command has undoable = false and is very simple, it does not alter the DG in any way. BTW I`m on Win/Maya6.5.
Any hints highly appreciated!
TIA
buexe

Buexe
06-30-2005, 11:09 AM
Phew, resolved it! RTFM was the trick. In the release notes limitations this issue is explained:

If a custom command is run from a MEL script, it has to be put into a eval statement. Otherwise a pointer is saved and if the plug-in is un/reloaded and then the script is run again, Maya may produce a fatal error.

I tried it and it works
cheers
buexe

antweiler
06-30-2005, 03:10 PM
buexe, what are you doing??

Buexe
06-30-2005, 03:59 PM
yo, antweiler! I`m digging deep in the API dungeons, trying to break to the other side!

party morgen?
ciao b

antweiler
06-30-2005, 04:54 PM
hope to see you! lots of matrices stuff over here ;)

Buexe
06-30-2005, 05:53 PM
Matrices? I`ll be there!;o)

CGTalk Moderation
06-30-2005, 05:53 PM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.